<?php
/**
 * TOP API: alibaba.alihealth.drug.msc.query.billcount request
 * 
 * @author auto create
 * @since 1.0, 2025.11.03
 */
class AlibabaAlihealthDrugMscQueryBillcountRequest
{
	/** 
	 * 开始日期
	 **/
	private $beginDate;
	
	/** 
	 * 单据类型：不填写查询全部。101:生产入库,102:采购入库,103:退货入库,104:调拨入库,107:供应入库,108:召回入库,109:打标入库,110:赠品入库,111:盘盈入库,112:报废入库,113:其他入库,114:临床-采购入库,115:临床-退货入库,116:消费者退货入库,117:临床-替换入库,118:报溢入库,119:新鲜制剂入库,120:委托退货入库指令     201:销售出库,202:退货出库,211:召回出库,212:赠品出库,214:盘亏出库,215:损坏出库,216:报废出库,217:其他出库,218:临床-退货出库,219:临床-销毁出库,220:报损出库,221:冻存出库至清洗,222:委托调拨出库指令,223:委托销售出库指令,237:直调退货     320:内部使用,321:使用出库,322:疫苗接种,323:使用出库,326:B2C出库,327:临床-领药出库
	 **/
	private $billType;
	
	/** 
	 * 结束日期
	 **/
	private $endDate;
	
	/** 
	 * 企业ID
	 **/
	private $refEntId;
	
	private $apiParas = array();
	
	public function setBeginDate($beginDate)
	{
		$this->beginDate = $beginDate;
		$this->apiParas["begin_date"] = $beginDate;
	}

	public function getBeginDate()
	{
		return $this->beginDate;
	}

	public function setBillType($billType)
	{
		$this->billType = $billType;
		$this->apiParas["bill_type"] = $billType;
	}

	public function getBillType()
	{
		return $this->billType;
	}

	public function setEndDate($endDate)
	{
		$this->endDate = $endDate;
		$this->apiParas["end_date"] = $endDate;
	}

	public function getEndDate()
	{
		return $this->endDate;
	}

	public function setRefEntId($refEntId)
	{
		$this->refEntId = $refEntId;
		$this->apiParas["ref_ent_id"] = $refEntId;
	}

	public function getRefEntId()
	{
		return $this->refEntId;
	}

	public function getApiMethodName()
	{
		return "alibaba.alihealth.drug.msc.query.billcount";
	}
	
	public function getApiParas()
	{
		return $this->apiParas;
	}
	
	public function check()
	{
		
		RequestCheckUtil::checkNotNull($this->beginDate,"beginDate");
		RequestCheckUtil::checkNotNull($this->endDate,"endDate");
		RequestCheckUtil::checkNotNull($this->refEntId,"refEntId");
	}
	
	public function putOtherTextParam($key, $value) {
		$this->apiParas[$key] = $value;
		$this->$key = $value;
	}
}
